---
lang: en
title: 'API docs: authentication.authenticationoptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/authentication
permalink: /doc/en/lb4/apidocs.authentication.authenticationoptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication](./authentication.md) &gt; [AuthenticationOptions](./authentication.authenticationoptions.md)

## AuthenticationOptions interface

Options for authentication component

**Signature:**

```typescript
export interface AuthenticationOptions 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [defaultMetadata?](./authentication.authenticationoptions.defaultmetadata.md) |  | [AuthenticationMetadata](./authentication.authenticationmetadata.md)<!-- -->\[\] | _(Optional)_ Default authentication metadata if a method or class is not decorated with <code>@authenticate</code>. If not set, no default authentication will be enforced for those methods without authentication metadata. |
|  [failOnError?](./authentication.authenticationoptions.failonerror.md) |  | boolean | _(Optional)_ This flag allows an authentication strategy to abort the authentication by throwing an error if <code>failOnError</code> is set to <code>true</code>. By default, the authentication process continues to the next one even when a strategy throws an error. If one of other strategies succeed, the error will be discarded. |


